Skip to main content
GET
Get Simulation Scenario

Authorizations

X-API-KEY
string
header
required

Your API key for authentication.

x-org-id
string
header
required

Org impersonation via x-org-id. Superadmins may impersonate any org; admins may impersonate their direct sub-organizations. Enter the target organization ID to act as that org.

Path Parameters

scenario_id
string
required
Required string length: 24

Response

Successful Response

A simulation scenario template that defines how to simulate a conversation

See Also:

  • SimulationRunModel: Individual execution of this scenario
  • ScenarioSetModel: Grouping multiple scenarios together
  • SimulationResultsModel: Aggregated results from running scenarios
_id
string
required
account_id
string
required

Account ID that owns this simulation scenario

name
string
required

Human-readable scenario name

lead_scenario
SimulatedLeadScenario · object
required

User scenario. This information will be sent to the user simulator.

history
HistoryModel · object
required
scenario_set_id
string | null

ID of the scenario set this scenario belongs to

folder
string | null

Optional folder path for organizing scenarios in the UI

description
ScenarioDescription · object | null

Description of the task. This can be sent to the evaluator.

environment_setup
EnvironmentSetup · object | null

Initial state of the simulation. Also, used to define action mocks and mention mocks.

evaluation_criteria
EvaluationCriteria · object | null

Evaluation criteria for the scenario. This will be sent to the evaluator.